> ## Documentation Index
> Fetch the complete documentation index at: https://docs.suprsend.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Objects by Type

> API to fetch paginated list of objects that belong to the specified `object_type`.



## OpenAPI

````yaml GET /v1/object/{object_type}/
openapi: 3.1.1
info:
  title: SuprSend API
  description: APIs supported on suprsend platform
  version: 1.2.2
servers:
  - url: https://hub.suprsend.com
security:
  - sec0: []
  - BearerAuth: []
paths:
  /v1/object/{object_type}/:
    get:
      summary: List Objects by type
      description: >-
        API to fetch paginated list of objects that belong to the specified
        `object_type`.
      operationId: list-objects-by-type
      parameters:
        - name: object_type
          in: path
          description: >-
            Used to group similar objects together. Give plural namespace like
            teams, organizations, and roles.
          schema:
            type: string
          required: true
      responses:
        '200':
          description: 200 - OK
          content:
            application/json:
              examples:
                Result:
                  value:
                    meta:
                      count: 1
                      limit: 10
                      has_prev: false
                      before: null
                      has_next: false
                      after: null
                    results:
                      - object_type: teams
                        id: devs
                        subscriptions_count: 1
                        properties: {}
                        created_at: '2024-11-04T09:30:05.141405+00:00'
                        updated_at: '2025-04-06T11:00:24.257046+00:00'
                        $inbox:
                          - value: mwjNxXS-z5IvY6VwyXweG0mqc14WL-z9ctBlJ-4wx60
                            id_provider: suprsend
                            status: active
                            perma_status: active
              schema:
                type: object
                properties:
                  meta:
                    type: object
                    properties:
                      count:
                        type: integer
                        example: 1
                        description: Total number of results returned.
                      limit:
                        type: integer
                        example: 10
                        description: Maximum number of results that can be returned.
                      has_prev:
                        type: boolean
                        example: false
                        description: Indicates if there are previous results.
                      before:
                        type: string
                        nullable: true
                        example: null
                        description: Cursor for paginating to previous results.
                      has_next:
                        type: boolean
                        example: false
                        description: Indicates if there are more results.
                      after:
                        type: string
                        nullable: true
                        example: null
                        description: Cursor for paginating to next results.
                  results:
                    type: array
                    description: >-
                      List of objects belonging to given object type. Response
                      JSON is similar to object upsert API.
                    items:
                      type: object
                      properties:
                        object_type:
                          type: string
                          example: teams
                        id:
                          type: string
                          example: devs
                        subscriptions_count:
                          type: integer
                          example: 1
                        properties:
                          type: object
                          additionalProperties: true
                          description: additional object properties
                          example: {}
                        created_at:
                          type: string
                          format: date-time
                          example: '2024-11-04T09:30:05.141405+00:00'
                        updated_at:
                          type: string
                          format: date-time
                          example: '2025-04-06T11:00:24.257046+00:00'
                        $inbox:
                          type: array
                          items:
                            type: object
                            properties:
                              value:
                                type: string
                                example: mwjNxXS-z5IvY6VwyXweG0mqc14WL-z9ctBlJ-4wx60
                              id_provider:
                                type: string
                                example: suprsend
                              status:
                                type: string
                                example: active
                              perma_status:
                                type: string
                                example: active
      deprecated: false
      security:
        - BearerAuth: []
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer
      description: >-
        Bearer authentication header of the form `Bearer <token>`, where <token>
        is your auth token.
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API_Key
      description: >-
        Pass as `Bearer <API_KEY>`. Get API Key from SuprSend dashboard
        Developers -> API Keys section.

````